Thank you for choosing GrandNode! It's an open source, free, cross-platform e-commerce software based on ASP.NET Core 2.0 and MongoDB - NoSQL database. You can run it on Linux, Windows and MacOS easily. GrandNode also supports Docker, so you are able to install it just in a seconds with Docker.

It can be used for any kind of online store. GrandNode is a perfect choice for people who want to sell simple products. It's solution dedicated for the most demanding users. You can also create auctions, booking/reservation products or product kits. GrandNode became a mature solution especially for developers who want to develop a modern, functional and high performance e-commerce system. 

## How to install GrandNode ##

You can install GrandNode in two different ways.
1. Download the GrandNode package from our GitHub and install it: [Installation Guide](http://docs.grandnode.com/display/grandnode/Installing+GrandNode)
2. Second way is to install GrandNode with Docker: [Docker installation guide](https://grandnode.com/weekly-tips-4-build-and-run-the-grandnode-with-docker-for-linux-containers)

![Docker installation process](https://grandnode.com/content/images/dockerrun.gif)

Please note that if you use grandnode/develop, Docker will pull the newest image from develop branch. To pull the latest stable image, use the branch name in the docker command, for example - docker pull grandnode/release-4.10 . Remember that Docker is supported from GrandNode 4.10.  

## GrandNode resources: ##

GrandNode Site: [https://grandnode.com](https://grandnode.com)

GrandNode demo store: [http://www.demo.grandnode.com/](http://www.demo.grandnode.com/)

Complete feature list: [http://www.grandnode.com/features](http://www.grandnode.com/features)

System Requirements: [http://grandnode.com/system-requirements](http://grandnode.com/system-requirements)

Documentation: [http://www.docs.grandnode.com](http://www.docs.grandnode.com)

Forums: [http://www.grandnode.com/boards/](http://www.grandnode.com/boards/)

## Development status ## 

The latest stable version is 4.00
Active development version: 4.10 (branch [develop](https://github.com/grandnode/grandnode/tree/develop))

[Roadmap for 4.10](https://github.com/grandnode/grandnode/milestone/2)

[Tickets linked to 4.10](https://github.com/grandnode/grandnode/issues)

## How to contribute code ##

GrandNode is an open source online shopping solution, each developer is welcome and encouraged to contribute with their own improvements and enhancements. 

GrandNode is mostly written in ASP.NET. Other languages used in the project are HTML, CSS, JavaScript, MongoDB. 
To start with us, you should do this few steps:
1. Create your own GitHub account. 
2. Fork the GrandNode to your GitHub account
3. Clone the forked project to your local machine. 
4. After that, create a branch for your own changes
5. Change the files.
6. Push your changes from local machine to your fork in your GitHub account
7. It's time to create a pull request for your changes on the GrandNode project. If you don't know how to do it, you can read more about pull request [here](https://help.github.com/articles/about-pull-requests/)
8. Wait for the information. One of our developers will comment your changes and approve it or will suggest some improvements in your code.

And that's all, you are GrandNode official contributor!

[Coding standards and guides](http://docs.grandnode.com/display/grandnode/Developer+Guide)

## How to report issues ##

[Reporting a security issue](https://github.com/grandnode/grandnode/issues)

[What makes a perfect issue ticket?](https://grandnode.com/boards/topic/5a0a95707487f81afce3f825/how-to-report-a-bug)

## Store demo: ##

##### Frontend:
[http://demo.grandnode.com/](http://demo.grandnode.com/)

[![ScreenShot](https://grandnode.com/content/images/storefront.gif)](http://demo.grandnode.com/)

##### Backend:
[http://demo.grandnode.com/login?ReturnUrl=%2fadmin](http://demo.grandnode.com/login?ReturnUrl=%2fadmin)

[![ScreenShot](https://grandnode.com/content/images/adminpanel.gif)](http://demo.grandnode.com/login?ReturnUrl=%2fadmin)

Demo is restoring every hour to the original state.

Access to the admin panel:
Admin email: admin@yourstore.com
Admin password: 123456
